Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface ComponentListener

All Known Subinterfaces:
  BaseItemListener, BoxComponentListener, ButtonListener, CheckboxListener, CheckItemListener, ColorPaletteListener, ComboBoxListener, ContainerListener, CycleButtonListener, DataViewListener, DatePickerListener, EditorListener, FieldListener, FormPanelListener, HtmlEditorListener, PanelListener, ProgressBarListener, SplitButtonListener, TabPanelListener, TextFieldListener, TreePanelListener, WindowListener

All Known Implementing Classes:
  BaseItemListenerAdapter, BoxComponentListenerAdapter, ButtonListenerAdapter, CheckboxListenerAdapter, CheckItemListenerAdapter, ColorPaletteListenerAdapter, ComboBoxListenerAdapter, ComponentListenerAdapter, ContainerListenerAdapter, CycleButtonListenerAdapter, DataViewListenerAdapter, DatePickerListenerAdapter, EditorListenerAdapter, FieldListenerAdapter, FormPanelListenerAdapter, HtmlEditorListenerAdapter, PanelListenerAdapter, ProgressBarListenerAdapter, SplitButtonListenerAdapter, TabPanelListenerAdapter, TextFieldListenerAdapter, TreePanelListenerAdapter, WindowListenerAdapter

    public interface ComponentListener

Component Listener.

Method Summary
`boolean` | `doBeforeDestroy(Component component)` Fires before the component is destroyed.
`boolean` | `doBeforeHide(Component component)` Fires before the component is hidden.
`boolean` | `doBeforeRender(Component component)` Fires before the component is rendered.
`boolean` | `doBeforeShow(Component component)` Fires before the component is shown.
`boolean` | `doBeforeStateRestore(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires before the state of the component is restored.
`boolean` | `doBeforeStateSave(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires before the state of the component is saved to the configured state provider.
`void` | `onDestroy(Component component)` Fires after the component is destroyed.
`void` | `onDisable(Component component)` Fires after the component is disabled.
`void` | `onEnable(Component component)` Fires after the component is enabled.
`void` | `onHide(Component component)` Fires after the component is hidden.
`void` | `onRender(Component component)` Fires after the component is rendered.
`void` | `onShow(Component component)` Fires after the component is shown.
`void` | `onStateRestore(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires after the state of the component is restored.
`void` | `onStateSave(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires after the state of the component is saved to the configured state provider.

Method Detail

### doBeforeDestroy

    boolean doBeforeDestroy(Component component)

  Fires before the component is destroyed. Return false to stop the destroy.

  Parameters:
    `component` - this
  Returns:
    false to stop destroy

### doBeforeHide

    boolean doBeforeHide(Component component)

  Fires before the component is hidden. Return false to stop the hide.

  Parameters:
    `component` - this
  Returns:
    false to stop hide

### doBeforeRender

    boolean doBeforeRender(Component component)

  Fires before the component is rendered. Return false to stop the render.

  Parameters:
    `component` - this
  Returns:
    false to stop render

### doBeforeShow

    boolean doBeforeShow(Component component)

  Fires before the component is shown. Return false to stop the show.

  Parameters:
    `component` - this
  Returns:
    false to stop show

### doBeforeStateRestore

    boolean doBeforeStateRestore(Component component,
                                 com.google.gwt.core.client.JavaScriptObject state)

  Fires before the state of the component is restored. Return false to stop the restore.

  Parameters:
    `component` - this
    `state` - the component state
  Returns:
    false to stop the restore

### doBeforeStateSave

    boolean doBeforeStateSave(Component component,
                              com.google.gwt.core.client.JavaScriptObject state)

  Fires before the state of the component is saved to the configured state provider. Return false to stop the save.

  Parameters:
    `component` - this
    `state` - the component state
  Returns:
    false to stop the save

### onDestroy

    void onDestroy(Component component)

  Fires after the component is destroyed.

  Parameters:
    `component` - this

### onDisable

    void onDisable(Component component)

  Fires after the component is disabled.

  Parameters:
    `component` - this

### onEnable

    void onEnable(Component component)

  Fires after the component is enabled.

  Parameters:
    `component` - this

### onHide

    void onHide(Component component)

  Fires after the component is hidden.

  Parameters:
    `component` - this

### onRender

    void onRender(Component component)

  Fires after the component is rendered.

  Parameters:
    `component` - this

### onShow

    void onShow(Component component)

  Fires after the component is shown.

  Parameters:
    `component` - this

### onStateRestore

    void onStateRestore(Component component,
                        com.google.gwt.core.client.JavaScriptObject state)

  Fires after the state of the component is restored.

  Parameters:
    `component` - this
    `state` - the component state

### onStateSave

    void onStateSave(Component component,
                     com.google.gwt.core.client.JavaScriptObject state)

  Fires after the state of the component is saved to the configured state provider.

  Parameters:
    `component` - this
    `state` - the component state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD